%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api		2
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary:	An extension library for Xfce desktop environment
Name:		exo
Version:	4.19.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.xfce.org
Source:		https://archive.xfce.org/src/xfce/exo/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#
# Mageia patches:
#
BuildRequires:	xfce4-dev-tools
BuildRequires:	intltool
BuildRequires:	git-core
BuildRequires:	perl(URI)
BuildRequires:  pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.18.0

%description
This is libexo, an extension library to Xfce, developed by os-cillation. While
Xfce comes with quite a few libraries that are targeted at desktop development,
libexo is targeted at application development.

%package -n %{libname}
Summary:	An extension library for Xfce
Group:		System/Libraries
License:	LGPLv2+
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Exo is an Xfce library targeted at application development. It contains various
custom widgets and APIs extending the functionality of GLib and GTK+. It also
ships utilities for defining preferred applications, mounting storage devices
and more.

%package -n %{develname}
Summary:	Development files, headers and documentation for libexo
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files, headers and documentation for libexo.

%prep
%autosetup -p1 -Sgit_am

%build
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

# (tpg) already in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/helpers.rc

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README* ChangeLog NEWS
%{_bindir}/exo*
%{_mandir}/man1/exo*
%dir %{_datadir}/pixmaps/exo/
%{_datadir}/pixmaps/exo/exo-thumbnail-frame.png

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libexo-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/exo-%{api}/
%{_libdir}/libexo-%{api}.so
%{_libdir}/pkgconfig/exo-%{api}.pc
%{_includedir}/exo-%{api}/


%changelog
* Sun Apr 21 2024 wally <wally> 4.19.0-1.mga10
+ Revision: 2060322
- new version 4.19.0

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923751
- new version 4.18.0

* Sat Dec 03 2022 wally <wally> 4.17.4-1.mga9
+ Revision: 1915987
- new version 4.17.4

* Fri Nov 04 2022 wally <wally> 4.17.3-1.mga9
+ Revision: 1902847
- new version 4.17.3

* Sat Jun 18 2022 wally <wally> 4.17.2-1.mga9
+ Revision: 1864778
- new vesion 4.17.2

* Sun Apr 03 2022 umeabot <umeabot> 4.17.1-2.mga9
+ Revision: 1841712
- Mageia 9 Mass Rebuild

* Sun Oct 03 2021 wally <wally> 4.17.1-1.mga9
+ Revision: 1748926
- new version 4.17.1

* Sat Jun 26 2021 wally <wally> 4.17.0-1.mga9
+ Revision: 1733965
- new version 4.17.0

* Thu Apr 15 2021 wally <wally> 4.16.2-1.mga9
+ Revision: 1715902
- new version 4.16.2

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663195
- new version 4.16.0

* Wed Nov 04 2020 wally <wally> 4.15.3-2.mga8
+ Revision: 1642701
- fix AC_INIT overquoting issues with autoconf 2.69d (aka fix version in pkg-conf .pc files)

* Wed Nov 04 2020 wally <wally> 4.15.3-1.mga8
+ Revision: 1642611
- new version 4.15.3

* Fri Aug 21 2020 wally <wally> 4.15.2-1.mga8
+ Revision: 1617664
- new version 4.15.2

* Fri Jun 19 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1597372
- new version 4.15.1

* Tue Feb 18 2020 umeabot <umeabot> 0.12.11-2.mga8
+ Revision: 1541103
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 19 2019 wally <wally> 0.12.11-1.mga8
+ Revision: 1468970
- new version 0.12.11

* Thu Nov 28 2019 wally <wally> 0.12.10-1.mga8
+ Revision: 1463332
- new version 0.12.10

* Fri Nov 15 2019 wally <wally> 0.12.9-1.mga8
+ Revision: 1460895
- new version 0.12.9

* Mon Aug 12 2019 wally <wally> 0.12.8-1.mga8
+ Revision: 1428929
- new version 0.12.8

* Sat Jul 27 2019 wally <wally> 0.12.7-1.mga8
+ Revision: 1424636
- new version 0.12.7

* Sat Jun 29 2019 wally <wally> 0.12.6-1.mga8
+ Revision: 1416092
- new version 0.12.6

* Wed May 01 2019 wally <wally> 0.12.5-1.mga7
+ Revision: 1396049
- new version 0.12.5
- drop old conflicts/obsoletes

* Thu Feb 07 2019 wally <wally> 0.12.4-2.mga7
+ Revision: 1364049
- add MATE terminal helper for default apps

* Sun Jan 20 2019 wally <wally> 0.12.4-1.mga7
+ Revision: 1358195
- new version 0.12.4

* Tue Oct 16 2018 wally <wally> 0.12.3-1.mga7
+ Revision: 1320961
- new version 0.12.3

* Sun Sep 23 2018 umeabot <umeabot> 0.12.2-2.mga7
+ Revision: 1297643
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 0.12.2-1.mga7
+ Revision: 1238492
- new version 0.12.2

* Sun Jun 17 2018 wally <wally> 0.12.1-1.mga7
+ Revision: 1237427
- new version 0.12.1

* Fri Feb 16 2018 wally <wally> 0.12.0-1.mga7
+ Revision: 1201728
- new version 0.12.0

* Thu Sep 28 2017 wally <wally> 0.11.5-1.mga7
+ Revision: 1161130
- new version 0.11.5
- enable gtk3 support
- redo helper patches

* Fri Feb 12 2016 wally <wally> 0.10.7-3.mga6
+ Revision: 958502
- fix missing mail reader icon in menus when Adwaita icon theme is used (mga#17733)

* Sun Sep 27 2015 wally <wally> 0.10.7-2.mga6
+ Revision: 884246
- add exo-helper for Google Chrome

* Mon Sep 14 2015 wally <wally> 0.10.7-1.mga6
+ Revision: 879302
- new version 0.10.7
- drop escaped URI patch (fixed in upstream)

* Tue Aug 25 2015 wally <wally> 0.10.6-2.mga6
+ Revision: 869348
- add patch from upstream bugzilla to fix exo-open failure with url encoded file paths (xfce#12017, rhbz#1246383)

* Sat Jun 20 2015 wally <wally> 0.10.6-1.mga6
+ Revision: 836266
- new version 0.10.6

* Tue Mar 03 2015 wally <wally> 0.10.3-1.mga5
+ Revision: 817393
- new version 0.10.3
- drop patches from upstream
- quote firefox-beta helper parameter

* Thu Feb 05 2015 wally <wally> 0.10.2-12.mga5
+ Revision: 813570
- add patch from upstream bugzilla to update mimeapps.list location for glib >= 2.41 (xfce#11504)

* Mon Jan 26 2015 wally <wally> 0.10.2-11.mga5
+ Revision: 812368
- remove openURL() call from firefox-beta helper

* Sat Jan 03 2015 wally <wally> 0.10.2-10.mga5
+ Revision: 808271
- add patch to add firefox-beta entry to exo-preferred-applications

* Fri Oct 17 2014 luigiwalser <luigiwalser> 0.10.2-9.mga5
+ Revision: 769645
- add missing BR perl-URI
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.2-7.mga5
+ Revision: 679063
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 wally <wally> 0.10.2-6.mga5
+ Revision: 581607
- add patch to fix chromium icon in exo-preferred applications (mga#12575)

* Sat Oct 19 2013 umeabot <umeabot> 0.10.2-5.mga4
+ Revision: 523609
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.10.2-4.mga4
+ Revision: 425176
- add patch from upstream git to fix URI handling (xfce#10098)

* Fri Jan 11 2013 umeabot <umeabot> 0.10.2-3.mga3
+ Revision: 349868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.10.2-2.mga3
+ Revision: 338288
- fix file list after %%_libexecdir change
- own some unowned dirs

* Thu Dec 27 2012 wally <wally> 0.10.2-1.mga3
+ Revision: 335697
- new version 0.10.2

* Sun Dec 09 2012 wally <wally> 0.10.1-1.mga3
+ Revision: 329088
- new version 0.10.1

* Mon Dec 03 2012 wally <wally> 0.10.0-1.mga3
+ Revision: 325978
- new version 0.10.0

* Sat Nov 10 2012 wally <wally> 0.9.1-1.mga3
+ Revision: 316888
- new version 0.9.1
- drop patches from upstream

* Sat Nov 10 2012 wally <wally> 0.9.0-2.mga3
+ Revision: 316842
- add patches from upstream
  * protect against null value (xfce#9418)
  * two build fixes with newer glib
- clean .spec a bit

* Sun Oct 14 2012 wally <wally> 0.9.0-1.mga3
+ Revision: 305443
- new version 0.9.0

* Mon May 28 2012 wally <wally> 0.8.0-1.mga3
+ Revision: 248460
- new version 0.8.0
- clean .spec

* Mon Feb 13 2012 wally <wally> 0.7.1-1.mga2
+ Revision: 208452
- remove unregistered value from .desktop files
- new version 0.7.1

* Tue Jan 03 2012 wally <wally> 0.7.0-1.mga2
+ Revision: 190010
- new version 0.7.0
- drop unused patches
- fix lib pkg name
- drop python subpkg
- clean BRs
- move docs to devel pkg and don't regenerate them on build time
- clean .spec a bit

* Tue Jun 21 2011 ahmad <ahmad> 0.6.2-1.mga2
+ Revision: 111222
- Update to 0.6.2
- Drop BR hal-devel, not used any more AFAICS
- Update the file list

* Thu Jan 27 2011 ahmad <ahmad> 0.6.0-2.mga1
+ Revision: 41628
- drop old unneeded scriptlets
- don't ship .a
- replace %%py_requires -d with python-devel
- imported package exo


* Sat Jan 22 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 632281
- update to new version 0.6.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.6-1mdv2011.0
+ Revision: 629087
- update to new version 0.5.6

* Tue Nov 23 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.5-1mdv2011.0
+ Revision: 600324
- update to new version 0.5.5

* Wed Nov 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-2mdv2011.0
+ Revision: 592706
- use rm instead of %%exclude
- drop old conditions for mdv older than 200900
- rebuild for new python

* Fri Sep 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-1mdv2011.0
+ Revision: 579278
- update configure options
- update to new version 0.5.4
- disable all patches
- fix file list

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.107-1mdv2011.0
+ Revision: 553763
- update to new version 0.3.107
- drop patch 3, merged by upstream

* Thu Jun 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.106-2mdv2010.1
+ Revision: 547011
- reorder patches
- add upstream patch to make treeview work with gtk 2.20, should fix (mdv #58909)

* Sun Dec 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.106-1mdv2010.1
+ Revision: 478206
- update to new version 0.3.106
- drop patch 6, applied by upstream

* Sat Oct 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.105-2mdv2010.0
+ Revision: 459135
- drop patch 5, because it is useless
- Patch6: don't mount all medias with sync option
- Patch7: use UTF-8 as a default charset for mounted medias
- Patch8: use default expire time for notifications

* Sun Oct 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.105-1mdv2010.0
+ Revision: 458139
- update to new version 0.3.105
- rediff patch 5
- keep only libraries in the library subpackage, move other files into main exo package

* Sun Oct 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.104-1mdv2010.0
+ Revision: 456676
- update to new version 0.3.104
- drop patches 2 and 3, because they were merged by upstream
- rediff patch 5

* Mon Aug 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.102-1mdv2010.0
+ Revision: 420538
- update to new version 0.3.102
- drop merged patches 6 and 7

* Wed Aug 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-4mdv2010.0
+ Revision: 409624
- Patch7: fix segfault in exo_icon_view_get_item_at_pos

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-3mdv2010.0
+ Revision: 385053
- both disabled patches in last commit are still needed

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-2mdv2010.0
+ Revision: 385026
- Patch6: ignore unknown options passed to exo-open
- temporarily disable two old patches, don't know if they have some effect

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-1mdv2010.0
+ Revision: 368573
- update to new version 0.3.101

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.100-3mdv2009.1
+ Revision: 364223
- Patch6: quote arguments passed to exo open

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.100-2mdv2009.1
+ Revision: 349139
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 0.3.100-1mdv2009.1
+ Revision: 345641
- New upstream release

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Patch5: use noatime mout flag if allowed by hal

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.99.1-1mdv2009.1
+ Revision: 333834
- update to new version 0.3.99.1

* Wed Jan 14 2009 Jérôme Soyer <saispo@mandriva.org> 0.3.93-1mdv2009.1
+ Revision: 329516
- New upstream release

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.3.93

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.92-4mdv2009.1
+ Revision: 320579
- move buildrequires on python-devel to python-exo subpackage

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 0.3.92-3mdv2009.1
+ Revision: 320547
- fix build

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.92-2mdv2009.1
+ Revision: 303456
- update to new version 0.3.92 (Xfce 4.6 Beta 2 Hopper)

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.91-2mdv2009.1
+ Revision: 302343
- rebuild

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.91-1mdv2009.1
+ Revision: 294424
- Xfce4.6 beta1 is landing on cooker
- drop patches 0 and 1

* Wed Aug 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-5mdv2009.0
+ Revision: 274186
- Patch1: add support for LUKS encrypted volumes (upstream bug #3349)
- revert, it is pointless to backport this patch, too much effort
- Patch4: add support for LUKS encrypted volumes (upstream bug #3349)

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-3mdv2009.0
+ Revision: 205642
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 188933
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 114971
- New release 0.3.4

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-10mdv2008.1
+ Revision: 110660
- new license policy
- fix buildrequires
- %%{libname} requires %%{name} istead of itself
- update summary and description for devel package
- do not package COPYING and INSTALL files, add ChangeLog instead

* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-9mdv2008.0
+ Revision: 92269
- fix umount removable devices

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-8mdv2008.0
+ Revision: 91877
- exclude helpers.rc

* Tue Sep 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-7mdv2008.0
+ Revision: 79548
- determine the preffered iocharset for filesystem that support it

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-6mdv2008.0
+ Revision: 75084
- provide patch 1 (missing header)
- do not generate docs with gtk-doc

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-5mdv2008.0
+ Revision: 71411
- provide patch 0

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-4mdv2008.0
+ Revision: 44112
- move translations to the main library
- new devel library policy
- disable building of static files rather deleting them
- correct provides/obsoletes
- fix file list

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-3mdv2008.0
+ Revision: 33177
- drop __libtoolize
- use macros in %%post and %%postun
- spec file clean


* Sat Feb 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2-2mdv2007.0
+ Revision: 125330
- Fix Hal support ( pointed out by Scara)
- Remove duplicate BR

* Tue Jan 23 2007 plouf <plouf> 0.3.2-1mdv2007.1
+ Revision: 112304
- New release 0.3.2

* Tue Dec 05 2006 Jérôme Soyer <saispo@mandriva.org> 0.3.1.12-0.rc2mdv2007.1
+ Revision: 90998
- Update

  + Götz Waschk <waschk@mandriva.org>
    - fix provides
    - fix post and postun scripts

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1.8-0.beta2.2mdv2007.1
+ Revision: 72674
-  Add BuildRequires
- import exo-0.3.1.8-0.beta2.1mdv2007.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.1.8-0.beta2.1mdv2007.0
- 0.3.1.8beta2
- update file list

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1.6-0.beta1.2mdk
- Add Provides

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1.6-0.beta1.1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 0.3.1.6-0.beta1.1mdk
- 0.3.1.6 beta1

* Sun Mar 12 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.3mdk
- package noarch files in prefix/lib

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.2mdk
- .la is not part of lib package

* Thu Mar 09 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.1mdk
- svn r20246
- update filelist

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r19739.2mdk
- buildrequires xfce-mcs-manager-devel python

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r19739.1mdk
- 0.3.1 from SVN r19739
- don't run libtoolize
- update filelist
- add exo package
- provide and obsolete libexo-0.2_0-devel

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-2mdk
- BR
- mv pygtk file to python pkg

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-1mdk
- 0.3.0
- update file list
- add python-exo pkg

* Fri Dec 03 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- first Mdk release

